NX Open C++ Reference Guide
|
Represents a Tooling::ReliefDesignBuilder Relief Design is to cut relief pocket for forming region . More...
Public Types | |
enum | Method { MethodBBox, MethodUDef } |
The relief design creation method. More... | |
enum | MethodOfDelete { MethodOfDeleteDeleteSelectedInstance, MethodOfDeleteDeleteAllInstances } |
The relief design delete method. More... | |
enum | Types { TypesCreate, TypesEdit, TypesCopy, TypesDelete } |
The relief design type. More... | |
Public Member Functions | |
double | Clearance () |
Returns the clearance of KF bounding box. | |
NXOpen::Expression * | Clearance1 () |
Returns the first clearance to create handle to control -X direction clearance. | |
NXOpen::Expression * | Clearance2 () |
Returns the second clearance to create handle to control -Y direction clearance. | |
NXOpen::Expression * | Clearance3 () |
Returns the third clearance to create handle to control -Z direction clearance. | |
NXOpen::Expression * | Clearance4 () |
Returns the fourth clearance to create handle to control +X direction clearance. | |
NXOpen::Expression * | Clearance5 () |
Returns the fifth clearance to create handle to control +Y direction clearance. | |
NXOpen::Expression * | Clearance6 () |
Returns the sixth clearance to create handle to control +Z direction clearance. | |
NXOpen::SelectBodyList * | CopyRelief () |
Returns the relief used to copy. | |
NXOpen::Tooling::ReliefDesignBuilder::Method | CreateEditMethod () |
Returns the create and edit method. | |
bool | CreateLocation () |
Returns the location option to create relief, true: create relief at the location of forming region, false: create relief at the next station(offset one pitch). | |
NXOpen::Section * | CurveSuperSelect () |
Returns the sketched curve profile used for creating or editing user defined relief. | |
void | DeleteLinkedFace () |
Delete the linked face feature. | |
NXOpen::Tooling::ReliefDesignBuilder::MethodOfDelete | DeleteMethod () |
Returns the delete method. | |
bool | HideReliefStatus () |
Returns the option to hide (true) or show (false) the relief. | |
int | NumberOfCopy () |
Returns the number of relief to be copied. | |
double | Pitch () |
Returns the pitch. | |
NXOpen::ScCollector * | ReliefFace () |
Returns the face used to create bounding box or wave to workpart as reference for creating user defined relief. | |
NXOpen::Expression * | ReliefHeight () |
Returns the relief height. | |
NXOpen::Expression * | ReliefRadius () |
Returns the relief radius. | |
NXOpen::Expression * | ReliefStart () |
Returns the extrude start of the user defined relief. | |
NXOpen::SelectBody * | SelectionReliefToEdit () |
Returns the selected relief to edit. | |
void | SetClearance (double clearance) |
Sets the clearance of KF bounding box. | |
void | SetCreateEditMethod (NXOpen::Tooling::ReliefDesignBuilder::Method createEditMethod) |
Sets the create and edit method. | |
void | SetCreateLocation (bool createLocation) |
Sets the location option to create relief, true: create relief at the location of forming region, false: create relief at the next station(offset one pitch). | |
void | SetDeleteMethod (NXOpen::Tooling::ReliefDesignBuilder::MethodOfDelete deleteMethod) |
Sets the delete method. | |
void | SetFaces (const std::vector< NXOpen::Face * > &faceOccs) |
Sets the face occurrences into builder attribute. | |
void | SetHideReliefStatus (bool hideReliefStatus) |
Sets the option to hide (true) or show (false) the relief. | |
void | SetNumberOfCopy (int numberOfCopy) |
Sets the number of relief to be copied. | |
void | SetPitch (double pitch) |
Sets the pitch. | |
void | SetType (NXOpen::Tooling::ReliefDesignBuilder::Types type) |
Sets the type of relief design. | |
NXOpen::Tooling::ReliefDesignBuilder::Types | Type () |
Returns the type of relief design. | |
void | WaveFaces () |
Wave face to work part for creating user defined relief as reference. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Tooling::ReliefDesignBuilder Relief Design is to cut relief pocket for forming region .
To create a new instance of this class, use Tooling::ReliefDesignCollection::CreateReliefDesignBuilder
Default values.
Property | Value |
---|---|
Clearance |
0.1 |
CreateEditMethod |
BBox |
CreateLocation |
1 |
DeleteMethod |
DeleteSelectedInstance |
HideReliefStatus |
0 |
NumberOfCopy |
1 |
ReliefHeight.Value |
5 (millimeters part), 1 (inches part) |
ReliefRadius.Value |
1 (millimeters part), 0.1 (inches part) |
Created in NX7.5.0.
double NXOpen::Tooling::ReliefDesignBuilder::Clearance | ( | ) |
Returns the clearance of KF bounding box.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ReliefDesignBuilder::Clearance1 | ( | ) |
Returns the first clearance to create handle to control -X direction clearance.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ReliefDesignBuilder::Clearance2 | ( | ) |
Returns the second clearance to create handle to control -Y direction clearance.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ReliefDesignBuilder::Clearance3 | ( | ) |
Returns the third clearance to create handle to control -Z direction clearance.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ReliefDesignBuilder::Clearance4 | ( | ) |
Returns the fourth clearance to create handle to control +X direction clearance.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ReliefDesignBuilder::Clearance5 | ( | ) |
Returns the fifth clearance to create handle to control +Y direction clearance.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ReliefDesignBuilder::Clearance6 | ( | ) |
Returns the sixth clearance to create handle to control +Z direction clearance.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Tooling::ReliefDesignBuilder::CopyRelief | ( | ) |
Returns the relief used to copy.
Created in NX7.5.0.
License requirements : None
NXOpen::Tooling::ReliefDesignBuilder::Method NXOpen::Tooling::ReliefDesignBuilder::CreateEditMethod | ( | ) |
Returns the create and edit method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::ReliefDesignBuilder::CreateLocation | ( | ) |
Returns the location option to create relief, true: create relief at the location of forming region, false: create relief at the next station(offset one pitch).
Created in NX7.5.0.
License requirements : None
NXOpen::Section* NXOpen::Tooling::ReliefDesignBuilder::CurveSuperSelect | ( | ) |
Returns the sketched curve profile used for creating or editing user defined relief.
Created in NX7.5.0.
License requirements : None
void NXOpen::Tooling::ReliefDesignBuilder::DeleteLinkedFace | ( | ) |
Delete the linked face feature.
Created in NX7.5.0.
License requirements : None
NXOpen::Tooling::ReliefDesignBuilder::MethodOfDelete NXOpen::Tooling::ReliefDesignBuilder::DeleteMethod | ( | ) |
Returns the delete method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::ReliefDesignBuilder::HideReliefStatus | ( | ) |
Returns the option to hide (true) or show (false) the relief.
Created in NX7.5.0.
License requirements : None
int NXOpen::Tooling::ReliefDesignBuilder::NumberOfCopy | ( | ) |
Returns the number of relief to be copied.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::ReliefDesignBuilder::Pitch | ( | ) |
Returns the pitch.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::ReliefDesignBuilder::ReliefFace | ( | ) |
Returns the face used to create bounding box or wave to workpart as reference for creating user defined relief.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ReliefDesignBuilder::ReliefHeight | ( | ) |
Returns the relief height.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ReliefDesignBuilder::ReliefRadius | ( | ) |
Returns the relief radius.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ReliefDesignBuilder::ReliefStart | ( | ) |
Returns the extrude start of the user defined relief.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectBody* NXOpen::Tooling::ReliefDesignBuilder::SelectionReliefToEdit | ( | ) |
Returns the selected relief to edit.
Created in NX7.5.0.
License requirements : None
void NXOpen::Tooling::ReliefDesignBuilder::SetClearance | ( | double | clearance | ) |
Sets the clearance of KF bounding box.
Created in NX7.5.0.
License requirements : None
clearance | clearance |
void NXOpen::Tooling::ReliefDesignBuilder::SetCreateEditMethod | ( | NXOpen::Tooling::ReliefDesignBuilder::Method | createEditMethod | ) |
Sets the create and edit method.
Created in NX7.5.0.
License requirements : None
createEditMethod | createeditmethod |
void NXOpen::Tooling::ReliefDesignBuilder::SetCreateLocation | ( | bool | createLocation | ) |
Sets the location option to create relief, true: create relief at the location of forming region, false: create relief at the next station(offset one pitch).
Created in NX7.5.0.
License requirements : None
createLocation | createlocation |
void NXOpen::Tooling::ReliefDesignBuilder::SetDeleteMethod | ( | NXOpen::Tooling::ReliefDesignBuilder::MethodOfDelete | deleteMethod | ) |
Sets the delete method.
Created in NX7.5.0.
License requirements : None
deleteMethod | deletemethod |
void NXOpen::Tooling::ReliefDesignBuilder::SetFaces | ( | const std::vector< NXOpen::Face * > & | faceOccs | ) |
Sets the face occurrences into builder attribute.
Created in NX7.5.0.
License requirements : None
faceOccs | array of face occurrences |
void NXOpen::Tooling::ReliefDesignBuilder::SetHideReliefStatus | ( | bool | hideReliefStatus | ) |
Sets the option to hide (true) or show (false) the relief.
Created in NX7.5.0.
License requirements : None
hideReliefStatus | hidereliefstatus |
void NXOpen::Tooling::ReliefDesignBuilder::SetNumberOfCopy | ( | int | numberOfCopy | ) |
Sets the number of relief to be copied.
Created in NX7.5.0.
License requirements : None
numberOfCopy | numberofcopy |
void NXOpen::Tooling::ReliefDesignBuilder::SetPitch | ( | double | pitch | ) |
Sets the pitch.
Created in NX7.5.0.
License requirements : None
pitch | pitch |
void NXOpen::Tooling::ReliefDesignBuilder::SetType | ( | NXOpen::Tooling::ReliefDesignBuilder::Types | type | ) |
Sets the type of relief design.
Created in NX7.5.0.
License requirements : None
type | type |
NXOpen::Tooling::ReliefDesignBuilder::Types NXOpen::Tooling::ReliefDesignBuilder::Type | ( | ) |
Returns the type of relief design.
Created in NX7.5.0.
License requirements : None
void NXOpen::Tooling::ReliefDesignBuilder::WaveFaces | ( | ) |
Wave face to work part for creating user defined relief as reference.
Created in NX7.5.0.
License requirements : None